GTOP(1)

NAME
gtop - convert a profile in GCG format into PROSITE format

SYNOPSIS

gtop
    [ -ahls ] [ -E gap_extend ] [ -F rescale ] [ -G gap_open ] [ -O offset ] gcg_profile | - [ parameters ]

DESCRIPTION
gtop converts a profile generated by the GCG program ProfileMake, or by a GCG compatible profile construction program, into PROSITE format, and optionally rescales the profile. The result is written to the standard output. On input, gtop divides all weights of the profile by 100, as GCG programs do. On output, profile scores are multiplied by the rescaling factor F and rounded to the nearest integer. If symmetric gap weighting mode is chosen, the gap opening weights are divided by 2 and assigned to the MI, MD, IM, and DM transition scores. If asymmetric gap weighting mode is chosen, the gap opening weights are left unchanged and assigned to the MI and MD transition scores only. If no argument is specified, the program attempts to read the GCG formatted profile from the standard input.

OPTIONS

gcg_profile
    Input GCG profile. If the filename is replaced by a '-', gtop will read the input profile from stdin.

-a  Apply asymmetric gap weighting mode (see the description section).

-h  Display usage help text.

-l  Remove output line length limit. Individual lines of the output profile can exceed a length of 132 characters, removing the need to wrap them over several lines.

-s  Apply symmetric gap weighting mode (default) (see the description section).

-E gap_extend
    Gap extension penalty.
    Default: 0.05

-F rescale
    Score rescaling factor.
    Default: 100

-G gap_open
    Gap opening penalty.
    Default: 4.5

-O offset
    Output score offset. This value is added to all profile match scores after multiplication by the rescaling factor F.
    Default: 0

PARAMETERS

Note:
    for backwards compatibility, release 2.3 of the pftools package will parse the version 2.2 style parameters, but these are deprecated and the corresponding option (refer to the options section) should be used instead.

E=# Gap extension penalty.
    Use option -E instead.

F=# Output score rescaling factor.
    Use option -F instead.

G=# Gap opening penalty.
    Use option -G instead.

O=# Output score offset.
    Use option -O instead.

EXAMPLES

(1) gtop -G 1.0 -E 1.0 -F 50 sh3.gpr | pfsearch -far - sh3.seq | sort -nr

    First converts the GCG profile 'sh3.gpr' into PROSITE format, then searches the protein library 'sh3.seq' with the reformatted profile to generate a sorted list of optimal alignment scores. The pfsearch(1) option -r causes alignment scores to be expressed in raw score units. 'sh3.seq' contains 20 SH3 domain-containing protein sequences from SWISS-PROT release 32.

EXIT CODE

On successful completion of its task, gtop will return an exit code of 0. If an error occurs, a diagnostic message will be output on standard error and the exit code will be different from 0. When conflicting options where passed to the program but the task could nevertheless be completed, warnings will be issued on standard error.

BUGS
gtop defines SCORE=0; N_SCORE=0; for the mandatory cut-off level zero. These parameters should be changed to more reasonable values using a text editor, prior to profile search operations.

SEE ALSO
pfsearch(1), pfscan(1), pfmake(1), sort(1)

AUTHOR
The pftools package was developed by Philipp Bucher.
Any comments or suggestions should be addressed to <pftools@sib.swiss>.